Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Debian User (http://www.linux-archive.org/debian-user/)
-   -   problems compiling recent kernels from kernel-archive.buildserver.net (http://www.linux-archive.org/debian-user/85319-problems-compiling-recent-kernels-kernel-archive-buildserver-net.html)

Arthur Marsh 05-10-2008 01:09 AM

problems compiling recent kernels from kernel-archive.buildserver.net
 
Hi I recently reported bug #480436 against kernel-package as I've had
trouble compiling recent kernels (2.6.25-2) from
kernel-archive.buildserver.net on Debian unstable on a Pentium II. The
last successful build I had was on 5 May from source
2.6.25-2~snapshot.11251.


I tried downgrading perl and its associated packages from 5.10 to 5.8 in
case that was the problem, but the same error happened:


time make-kpkg --initrd linux-image
exec debian/rules DEBIAN_REVISION=2.6.25-10.00.Custom INITRD=YES
linux-image
/bin/sh: line 0: [: -ge: unary operator expected
/bin/sh: line 0: [: -ge: unary operator expected
/bin/sh: line 0: [: -ge: unary operator expected
/bin/sh: line 0: [: -lt: unary operator expected
/bin/sh: line 0: [: -eq: unary operator expected
/bin/sh: line 0: [: -eq: unary operator expected
/bin/sh: line 0: [: -eq: unary operator expected
/bin/sh: line 0: [: -lt: unary operator expected
/bin/sh: line 0: [: -eq: unary operator expected
/bin/sh: line 0: [: -eq: unary operator expected
/bin/sh: line 0: [: -gt: unary operator expected
/bin/sh: line 0: [: -ge: unary operator expected
/bin/sh: line 0: [: -gt: unary operator expected
/bin/sh: line 0: [: -ge: unary operator expected
/bin/sh: line 0: [: -ge: unary operator expected

====== making target CONFIG-common [new prereqs: testdir]======

Has anyone else encountered this problem and knows what the underlying
cause is?



--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

Arthur Marsh 05-11-2008 12:32 PM

problems compiling recent kernels from kernel-archive.buildserver.net
 
Arthur Marsh wrote, on 2008-05-10 10:39:
Hi I recently reported bug #480436 against kernel-package as I've had
trouble compiling recent kernels (2.6.25-2) from
kernel-archive.buildserver.net on Debian unstable on a Pentium II. The
last successful build I had was on 5 May from source
2.6.25-2~snapshot.11251.

..
It appears that the setting of the variable saved_version in

/usr/share/kernel-package/ruleset/misc/config.mk

is now broken for recent kernel source packages from
kernel-archive.buildserver.net as is the target image setting when xen
is enabled.


By setting saved_version explicitly above and disabling xen in make
menuconfig, I was able to successfully build and boot the newer kernels.


Arthur.


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org


All times are GMT. The time now is 12:32 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.